<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_slideshow', language 'en', version '2.5'.
 *
 * @package     block_slideshow
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['background'] = 'Background color <script> //test </script>';
$string['background_help'] = 'Click in the textbox and a color picker tool will pop up. Find your color and click [Choose].';
$string['blindX'] = 'Horizontal Blind';
$string['blindY'] = 'Vertical Blind';
$string['blindZ'] = 'Outward Blind';
$string['blockbackgrounderror'] = 'Please enter only a valid 3 or 6 digit hex color code.';
$string['blockheight'] = 'Slideshow Height';
$string['blockheight_help'] = 'Enter the height of the slideshow (in pixels).  Please enter only numbers, not units.<ul><li>Correct: <code>200</code></li><li>Incorrect: <code>200px</code></li></ul>';
$string['blockheighterror'] = 'Please enter only numbers, no letters.';
$string['blocktitle'] = 'Title';
$string['blocktitle_help'] = 'To completely remove the heading, leave this blank.';
$string['cover'] = 'Cover';
$string['curtainX'] = 'Horizontal Curtain';
$string['curtainY'] = 'Vertical Curtain';
$string['descconfig'] = 'Use this form to set the global controls for the slideshow';
$string['descmaxsize'] = 'Select the largest file size that can be uploaded to the slideshow.  Keep in mind that smaller sizes will restrict images to low quality but larger sizes will affect page load time.';
$string['descmaxslides'] = 'Use this to set the maximum number of slides in the show';
$string['fade'] = 'Fade';
$string['fadeZoom'] = 'Fade and Zoom';
$string['growX'] = 'Grow Horizontally';
$string['growY'] = 'Grow Vertically';
$string['half'] = 'Half Second';
$string['headerconfig'] = 'Global Slideshow Controls';
$string['imagefile'] = 'Images';
$string['imagefile_help'] = 'You can drag all your images at once into this block.  Alternatively, click the "Add..." button to add one file at a time.';
$string['labelmaxsize'] = 'Max File Size';
$string['labelmaxslides'] = 'Maximum slides';
$string['none'] = 'None';
$string['normalblock'] = 'Display in Side';
$string['normalblock_help'] = 'If this is checked, the slideshow will behave as a normal block: it will be displayed in the side columns and be able to be docked.';
$string['normalblocklabel'] = 'Check this to have the slideshow display in the side columns';
$string['onlynumbers'] = 'Please enter only numbers, no letters.';
$string['pluginname'] = 'Slideshow';
$string['quarter'] = 'Quarter Second';
$string['scrollDown'] = 'Scroll Down';
$string['scrollHorz'] = 'Scroll Horizontally';
$string['scrollLeft'] = 'Scroll Left';
$string['scrollRight'] = 'Scroll Right';
$string['scrollUp'] = 'Scroll Up';
$string['scrollVert'] = 'Scroll Vertically';
$string['second'] = 'Second';
$string['seconds'] = 'Seconds';
$string['shuffle'] = 'Shuffle';
$string['slideX'] = 'Slide Horizontally';
$string['slideY'] = 'Slide Vertically';
$string['slidedelay'] = 'Display time';
$string['slidedelay_help'] = 'This is the time a slide is displayed.  However, if this value is set to a value lower than the transition speed, the transition speed will be added to it.  For example, if the Display time is 1 second and the Transition speed is 3 seconds, the slide will show for 4 seconds before it starts the transition.';
$string['slideshow'] = 'Slideshow';
$string['slideshow:addinstance'] = 'Add a new slideshow block';
$string['slideshow:myaddinstance'] = 'Add a new slideshow HTML block to the My Moodle page';
$string['slidespeed'] = 'Transitions Speed';
$string['slidespeed_help'] = 'This value determines the speed of the actual transition.';
$string['tenth'] = 'Tenth Second';
$string['toss'] = 'Toss';
$string['transition'] = 'Transition';
$string['transition_help'] = 'For examples of these transitions, <a href="http://jquery.malsup.com/cycle/browser.html" target="_blank">click here</a>';
$string['transparent'] = 'Transparent';
$string['transparent_help'] = 'If this is checked, the background color setting will have no effect';
$string['transparentlabel'] = 'Check this to have the slideshow background be transparent';
$string['turnDown'] = 'Turn Down';
$string['turnLeft'] = 'Turn Left';
$string['turnRight'] = 'Turn Right';
$string['turnUp'] = 'Turn Up';
$string['uncover'] = 'Uncover';
$string['wipe'] = 'Wipe';
$string['zoom'] = 'Zoom';
