<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'choicegroup', language 'en', version '2.5'.
 *
 * @package     choicegroup
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addmorechoices'] = 'Add more choices';
$string['afterresultsviewable'] = 'The results will be visible after you have made your choice.';
$string['allowupdate'] = 'Allow choice to be updated';
$string['and'] = 'and';
$string['answered'] = 'Answered';
$string['applytoallgroups'] = 'Apply to all groups';
$string['byparticipants'] = 'by {$a} participants';
$string['choice'] = 'Choice';
$string['choicegroup:addinstance'] = 'Add a new group choice activity';
$string['choicegroup:choose'] = 'Record a choice';
$string['choicegroup:deleteresponses'] = 'Delete responses';
$string['choicegroup:downloadresponses'] = 'Download responses';
$string['choicegroup:readresponses'] = 'Read responses';
$string['choicegroupclose'] = 'Until';
$string['choicegroupfull'] = 'This group choice is full and there are no available places.';
$string['choicegroupname'] = 'Group choice name';
$string['choicegroupopen'] = 'Open';
$string['choicegroupoptions'] = 'Choice options';
$string['choicegroupoptions_help'] = 'Here is where you specify the options that participants have to choose from.

You can fill in any number of these. If you leave some of the options blank, they will not be displayed. If you need more options, click the "Add 3 fields to form" button.';
$string['choicegroupsaved'] = 'Your choice has been saved';
$string['choicetext'] = 'Choice text';
$string['chooseaction'] = 'Choose an action ...';
$string['choosegroup'] = 'Choose a group';
$string['completionsubmit'] = 'Show as complete when user makes a choice';
$string['displayhorizontal'] = 'Display horizontally';
$string['displaymode'] = 'Display mode';
$string['displayvertical'] = 'Display vertically';
$string['expired'] = 'Sorry, this activity closed on {$a} and is no longer available';
$string['fillinatleastoneoption'] = 'You need to provide at least one possible answer.';
$string['fillinatleasttwooptions'] = 'You need to provide at least two possible answers.';
$string['full'] = '(Full)';
$string['generallimitation'] = 'General limitation';
$string['groupdoesntexist'] = 'Some of the specified groups don\'t exist within this course. The teacher should create the necessary groups and/or modify this activity.';
$string['groupmembers'] = 'Group members';
$string['havetologin'] = 'You have to log in before you can submit your choice';
$string['hidedescription'] = 'Hide descriptions';
$string['limit'] = 'Limit';
$string['limitanswers'] = 'Limit the number of responses allowed';
$string['limitanswers_help'] = 'This option allows you to limit the number of participants that can select each choice option. When the limit is reached then no-one else can select that option.

If limits are disabled then any number of participants can select each of the options.';
$string['members/'] = 'Fill';
$string['members/max'] = 'Fill / Capacity';
$string['modulename'] = 'Group choice';
$string['modulename_help'] = 'The Group Choice module allows students to enrol themselves in a group within a course. The teacher can select which groups students can chose from and the maximum number of students allowed in each group.';
$string['modulenameplural'] = 'Group choices';
$string['moveselectedusersto'] = 'Move selected users to...';
$string['multipleenrollmentspossible'] = 'Allow enrollment to multiple groups';
$string['mustchooseone'] = 'You must choose an answer before saving.  Nothing was saved.';
$string['neverresultsviewable'] = 'The results are not viewable.';
$string['noguestchoose'] = 'Sorry, guests are not allowed to make choices.';
$string['noresultsviewable'] = 'The results are not currently viewable.';
$string['notanswered'] = 'Not answered yet';
$string['notenrolledchoose'] = 'Sorry, only enrolled users are allowed to make choices.';
$string['notopenyet'] = 'Sorry, this activity is not available until {$a}';
$string['notyetresultsviewable'] = 'The results will be visible after this activity has closed.';
$string['numberofuser'] = 'The number of user';
$string['option'] = 'Group';
$string['page-mod-choice-x'] = 'Any Group choice module page';
$string['pleasesetgroups'] = 'Please create at least two groups in this course.';
$string['pluginadministration'] = 'Choice administration';
$string['pluginname'] = 'Group choice';
$string['privacy'] = 'Privacy of results';
$string['publish'] = 'Publish results';
$string['publishafteranswer'] = 'Show results to students after they answer';
$string['publishafterclose'] = 'Show results to students only after the choice is closed';
$string['publishalways'] = 'Always show results to students';
$string['publishanonymous'] = 'Publish anonymous results, do not show student names';
$string['publishnames'] = 'Publish full results, showing names and their choices';
$string['publishnot'] = 'Do not publish results to students';
$string['removemychoicegroup'] = 'Remove my choice';
$string['removeresponses'] = 'Remove all responses';
$string['responses'] = 'Responses';
$string['responsesto'] = 'Responses to {$a}';
$string['samegroupused'] = 'The same group can not be used several times.';
$string['savemychoicegroup'] = 'Save my choice';
$string['showdescription'] = 'Show descriptions';
$string['showunanswered'] = 'Show column for unanswered';
$string['skipresultgraph'] = 'Skip result graph';
$string['spaceleft'] = 'space available';
$string['spacesleft'] = 'spaces available';
$string['taken'] = 'Taken';
$string['timerestrict'] = 'Restrict answering to this time period';
$string['viewallresponses'] = 'View {$a} responses';
$string['withselected'] = 'With selected';
$string['yourselection'] = 'Your selection';
