<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'geogebra', language 'en', version '2.5'.
 *
 * @package     geogebra
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityclosed'] = 'This activity has been closed';
$string['activitynotopened'] = 'This activity is not yet available';
$string['attempt'] = 'Attempt';
$string['attempts'] = 'Attempts';
$string['attemptsremaining'] = 'Remaining attempts for this activity:';
$string['autograde'] = 'Selfgrade activity';
$string['availabledate'] = 'Available from';
$string['average'] = 'Average';
$string['choosescripttype'] = 'Choose the script type';
$string['comment'] = 'Comment';
$string['coursewithoutstudents'] = 'Course without students';
$string['datestudent'] = 'Last modified (submission)';
$string['dateteacher'] = 'Last modified (grade)';
$string['deleteallattempts'] = 'Delete all attempts';
$string['description'] = 'Description';
$string['discardchanges'] = 'Discard changes and return';
$string['duedate'] = 'Due date';
$string['duration'] = 'Duration';
$string['enableLabelDrags'] = 'Enable dragging of labels';
$string['enableRightClick'] = 'Enable right click';
$string['errorattempt'] = 'Error: attempt could not be saved.';
$string['expired'] = 'Sorry, this activity closed on {$a} and is no longer available';
$string['extractedfromggb'] = 'extracted files from ggb';
$string['filename'] = 'Filename';
$string['filenotfound'] = 'Specified file doesn\'t exist';
$string['filetype'] = 'Type';
$string['filetype_help'] = 'This setting determines how the GeoGebra activity is included in the course. There are up to 2 options:

* Uploaded GeoGebra - Enables a valid ".ggb" package to be chosen by the file picker.
* External URL - Enables a URL to be specified. Note: The URL must start with http(s) or www and contain a valid ".ggb" file.';
$string['filetypeexternal'] = 'External URL';
$string['filetypelocal'] = 'Uploaded file';
$string['firstattempt'] = 'First attempt';
$string['for'] = 'for';
$string['functionalityoptionsgrp'] = 'Functionality';
$string['geogebra:addinstance'] = 'Add GeoGebra';
$string['geogebra:grade'] = 'Grade GeoGebra';
$string['geogebra:submit'] = 'Submit GeoGebra';
$string['geogebra:view'] = 'View GeoGebra';
$string['geogebrafile'] = 'GeoGebra file';
$string['geogebrafile_help'] = 'The .ggb file.';
$string['geogebraurl'] = 'URL';
$string['geogebraurl_help'] = 'This setting enables a URL for the GeoGebra file to be specified, rather than choosing a file via the file picker.';
$string['grade'] = 'Grade';
$string['gradeit'] = 'Grade';
$string['grademethod'] = 'Grading Method';
$string['header_geogebra'] = 'GeoGebra Settings';
$string['header_score'] = 'Avaluation Settings';
$string['height'] = 'Height';
$string['highestattempt'] = 'Highest attempt';
$string['httpnotallowed'] = 'At the moment is not allowed to use external files';
$string['interfaceoptionsgrp'] = 'User interface';
$string['invalidgeogebrafile'] = 'Invalid GeoGebra specified. It must have the ".ggb" extension.';
$string['invalidurl'] = 'Invalid URL specified. It must start with http(s) and has to be a valid ".ggb" file.';
$string['javacodebase'] = 'GeoGebra codebase';
$string['javacodebase_help'] = 'GeoGebra jar files URL';
$string['language'] = 'Language';
$string['lastattempt'] = 'Last attempt';
$string['lastattemptremaining'] = 'This is your last attempt for this activity';
$string['lastmodifiedgrade'] = 'Last modified (grade)';
$string['lastmodifiedsubmission'] = 'Last modified (submission)';
$string['lowestattempt'] = 'Lowest attempt';
$string['manualgrade'] = 'Is manual grade?';
$string['maxattempts'] = 'Maximum number of attemps';
$string['modulename'] = 'GeoGebra';
$string['modulename_help'] = '<p><a href="http://www.geogebra.org" target="_blank">GeoGebra</a> is a free and multi-platform dynamic mathematics software for all levels of education that joins geometry, algebra, tables, graphing, statistics and calculus in one easy-to-use package.</p>
<p>Therefore, the <a href="http://www.gencat.cat/ensenyament/" target="_blank">Departament of Education of Catalonia</a> in collaboration with the <a href="http://acgeogebra.cat/" target="_blank">Catalan Association of GeoGebra</a> (ACG) and the GeoGeobra development team have implemented this module that allows the incorporation of GeoGebra activities in Moodle. Its main features are:
<ul>
    <li>Allows embedding easily GeoGebra activities in some Moodle course.</li>
    <li>Facilitates students tracing because it stores the score, date, duration and construction of each of the attempts made by the users.</li>
    <li>Students can save the state of the activities to continue them later.</li>
</ul>
</p>';
$string['modulenameplural'] = 'GeoGebra';
$string['msg_noattempts'] = 'You have done this activity the maximum number of times';
$string['name'] = 'Name';
$string['noattempts'] = '-';
$string['nograding'] = 'No grading';
$string['nomoreattempts'] = 'No more attempts remaining for this activity';
$string['notopenyet'] = 'Sorry, this activity is not available until {$a}';
$string['pluginadministration'] = 'GeoGebra administration';
$string['pluginname'] = 'GeoGebra';
$string['previewtab'] = 'Preview';
$string['redirecttocourse'] = 'The activity has been saved. Going back to the course home page';
$string['report'] = 'Report of';
$string['resultstab'] = 'Results';
$string['resumeattempt'] = 'Resuming unfinished attempt';
$string['review'] = 'Review of';
$string['reviewtab'] = 'Review';
$string['save'] = 'Save';
$string['savechanges'] = 'Save changes';
$string['savewithoutsubmitting'] = 'Save without submitting';
$string['settings'] = 'Settings';
$string['showAlgebraInput'] = 'Show inputbar';
$string['showMenuBar'] = 'Show menubar';
$string['showResetIcon'] = 'Show icon to reset construction';
$string['showToolBar'] = 'Show toolbar';
$string['showToolBarHelp'] = 'Show toolbar help';
$string['showsubmit'] = 'Show submit button';
$string['status'] = 'Estat';
$string['submitandfinish'] = 'Submit and finish';
$string['total'] = 'Total';
$string['unfinished'] = 'Unfinished';
$string['ungraded'] = 'Ungraded';
$string['unlimitedattempts'] = 'Unlimited attempts for this activity';
$string['urledit'] = 'GeoGebra file';
$string['urledit_help'] = 'The ".ggb" file where you will find the GeoGebra activity.';
$string['view'] = 'View';
$string['viewattempt'] = 'View';
$string['viewattempts'] = 'View attemtps';
$string['viewattempttab'] = 'View attempt';
$string['viewtab'] = 'View';
$string['warningnojava'] = 'This is a Java Applet created using GeoGebra from www.geogebra.org - it looks like you don\'t have Java installed, please go to www.java.com';
$string['weight'] = 'Weight';
$string['width'] = 'Width';
