<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'mediagallery', language 'en', version '2.5'.
 *
 * @package     mediagallery
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addagallery'] = 'Add a gallery';
$string['addanitem'] = 'Add an item';
$string['addbulkitems'] = 'Add items in bulk';
$string['addsamplegallery'] = 'Add a sample gallery';
$string['allowcomments'] = 'Allow comments';
$string['allowcomments_help'] = 'Allow users with the mod/mediagallery:comment capability to comment on items and galleries.';
$string['allowlikes'] = 'Allow likes';
$string['allowlikes_help'] = 'Allow users with the mod/mediagallery:like capability to \'like\' items in a gallery.';
$string['areagallery'] = 'Galleries';
$string['areaitem'] = 'Items';
$string['arealowres'] = 'Low resolution';
$string['areathumbnail'] = 'Thumbnails';
$string['automatic'] = 'Automatic';
$string['bottom'] = 'Bottom';
$string['caption'] = 'Caption';
$string['caption_help'] = 'The caption for this item in your gallery. This caption will be displayed alongside the item.';
$string['captionposition'] = 'Caption position';
$string['carousel'] = 'Carousel';
$string['choosecontent'] = 'Select either a file to upload, or a URL in the options below.';
$string['close'] = 'Close';
$string['collection'] = 'Collection';
$string['collection_help'] = 'The collection (if any) the work is from.';
$string['comments'] = 'Comments';
$string['completegallery'] = 'Complete gallery';
$string['configmaxbytes'] = 'Default maximum item file size for all media collections on the site (subject to course limits and other local settings)';
$string['confirmgallerydelete'] = 'Confirm gallery deletion';
$string['confirmitemdelete'] = 'Confirm item deletion';
$string['content'] = 'Content';
$string['content_help'] = 'The item you want to add to your gallery.';
$string['contentbulk'] = 'Content';
$string['contentbulk_help'] = 'You can select a zip archive containing multiple images, which will be extracted into the image directory after being uploaded.';
$string['contentbulkheader'] = 'Here you can upload a zip archive full of media. Every file inside the zip archive will be added as an item in the gallery, so make sure only files you want uploaded are in the archive before submitting it. Folders inside the archive are ignored.';
$string['creator'] = 'Creator';
$string['datecreated'] = 'Date created';
$string['deletegallery'] = 'Delete gallery';
$string['deleteitem'] = 'Delete item';
$string['displayfullcaption'] = 'Display full caption text';
$string['editgallery'] = 'Edit gallery settings';
$string['editthisgallery'] = 'Edit this gallery';
$string['enforcedefaults'] = 'Enforce gallery defaults';
$string['enforcedefaults_help'] = 'If enabled, then the gallery defaults determined by the instructor are enforced.';
$string['errortoomanygalleries'] = 'Sorry, you or your group has exceeded the maximum number of galleries allowed in this collection ({$a}).';
$string['errortoomanyitems'] = 'Sorry, this gallery already has the maximum number of items allowed ({$a}).';
$string['export'] = 'Export';
$string['exportgallery'] = 'Export gallery';
$string['externalurl'] = 'External URL';
$string['externalurl_help'] = 'Currently links to images and youtube videos are supported.';
$string['filename'] = 'File name';
$string['filesize'] = 'File size';
$string['foundxresults'] = 'Found {$a} result(s):';
$string['gallery'] = 'Gallery';
$string['galleryname'] = 'Gallery name';
$string['gallerythumbnail'] = 'Use as thumbnail';
$string['gallerythumbnail_help'] = 'If selected, the thumbnail for this item is used as the thumbnail for the gallery.';
$string['gallerytype'] = 'Gallery type';
$string['gallerytype_help'] = 'Type of Media gallery';
$string['gallerytypeinvalid'] = 'You must choose a valid gallery type from the list.';
$string['gallerytypes'] = 'Gallery types';
$string['gallerytypes_help'] = 'Type(s) of Media gallery users are allowed to create inside this Media collection. At least one type must be selected.';
$string['galleryviewoptions'] = 'Gallery view options';
$string['galleryviewoptions_help'] = 'Determines the gallery view options which are available to students.';
$string['gridview'] = 'Grid view';
$string['gridviewcolumns'] = 'Columns in grid view';
$string['gridviewcolumns_help'] = 'In grid view, the number of columns displayed.';
$string['gridviewrows'] = 'Rows in grid view';
$string['gridviewrows_help'] = 'In grid view, the number of rows displayed.';
$string['group'] = 'Group';
$string['group_help'] = 'As you are a member of multiple groups (or have permission to manage groups in this course), this is the group you wish to associate the gallery with.';
$string['information'] = 'Information';
$string['itemdisplay'] = 'Item display';
$string['itemdisplay_help'] = 'Include this item in the gallery display (e.g. carousel).';
$string['like'] = 'Like';
$string['likedby'] = 'Liked by';
$string['maxbytes'] = 'Maximum size per item';
$string['maxgalleries'] = 'Maximum number of galleries per user/group';
$string['maxgalleries_help'] = 'The maximum number of galleries a user (or group when using groups modes) can create in this collection.';
$string['maxgalleriesreached'] = 'Maximum number of galleries added';
$string['maxitems'] = 'Maximum number of items per gallery';
$string['maxitems_help'] = 'The maximum number of items a user can put in a gallery in this collection.';
$string['maxitemsreached'] = 'Maximum number of items added';
$string['mediagallery'] = 'Media collection';
$string['mediagallery:addinstance'] = 'Add an instance of Media collection';
$string['mediagallery:comment'] = 'Comment on a media collection gallery or item';
$string['mediagallery:grade'] = 'Grade media gallery';
$string['mediagallery:like'] = 'Ability to like items in a media collection';
$string['mediagallery:manage'] = 'Manage an instance of Media collection';
$string['mediagallery:viewall'] = 'Ability to view all galleries in a Media collection';
$string['mediagalleryfieldset'] = 'Custom example fieldset';
$string['mediagalleryname'] = 'Media collection name';
$string['mediagalleryname_help'] = 'The name you want to give your media collection.';
$string['medium'] = 'Medium';
$string['medium_help'] = 'The medium used to create the work (i.e. painting, photography, sound, etc).';
$string['metainfobulkheader'] = 'The below values will be used as the initial metadata for each of the items added above.';
$string['modulename'] = 'Media collection';
$string['modulename_help'] = 'Use the Media collection module for creating galleries of media content.

Users can create their own galleries of images, video or audio either on their own or in groups.


Uploaded content will be presented in either a carousel or grid format as thumbnails. Click on any of the thumbnails brings that image into focus and allows you to browse through the gallery. Users are able to \'like\' and comment on content they can see in their own and other galleries.';
$string['modulenameplural'] = 'Media galleries';
$string['moralrights'] = 'Moral rights';
$string['moralrights_help'] = 'Do you wish to assert your moral rights?

By selecting yes you\'re granting your consent for this item to potentially be used as a sample of work.';
$string['noitemsadded'] = 'No items have been added to this gallery.';
$string['noitemsfound'] = 'No items found.';
$string['noitemsselected'] = 'No items have been selected to export.';
$string['originalauthor'] = 'Original author';
$string['originalauthor_help'] = 'The original author of the item.';
$string['other'] = 'other';
$string['otherfiles'] = 'Other files';
$string['others'] = 'others';
$string['pluginadministration'] = 'Media collection administration';
$string['pluginname'] = 'Media collection';
$string['productiondate'] = 'Production date';
$string['productiondate_help'] = 'The date the original work was produced.';
$string['publisher'] = 'Publisher';
$string['publisher_help'] = 'The publisher (if any) of the work.';
$string['readonlyfrom'] = 'Read only from';
$string['readonlyto'] = 'Read only to';
$string['restrictavailableinfo'] = 'To restrict the dates this activity is available between, use the Restrict access section below.';
$string['sample'] = 'Sample';
$string['search'] = 'Search';
$string['search_help'] = 'Enter the keywords you want to search for.';
$string['searchcourseonly'] = 'Only this course';
$string['searchcourseonly_help'] = 'Did you only want to search for items in media galleries withing this course?';
$string['searchdisplayxtoyofzresults'] = 'Found {$a->total} result(s). Displaying {$a->from}-{$a->to}:';
$string['searchresults'] = 'Search results';
$string['searchtitle'] = 'Media collection search';
$string['settingsavailability'] = 'Availability';
$string['settingsdisplay'] = 'Display list';
$string['settingsgallery'] = 'Gallery defaults';
$string['settingsgallerydisplay'] = 'Gallery display';
$string['settingsvisibility'] = 'Visibility';
$string['showall'] = 'Show all';
$string['storagereport'] = 'Media collection storage';
$string['storagetotalusage'] = 'Total storage usage across the site: {$a}.';
$string['submittedforgrading'] = 'Submitted for grading';
$string['thumbnail'] = 'Thumbnail';
$string['thumbnail_help'] = 'You can select an image to use as the thumbnail in the gallery for this item.

If you don\'t supply one, one is generated for you from the uploaded resource (for images) or a file type icon used (for other files).';
$string['thumbnailsperpage'] = 'Thumbnails per page';
$string['thumbnailsperrow'] = 'Thumbnails per row';
$string['togglefullscreen'] = 'Toggle fullscreen';
$string['togglesidebar'] = 'Toggle sidebar';
$string['top'] = 'Top';
$string['typeaudio'] = 'Audio';
$string['typeimage'] = 'Image';
$string['typevideo'] = 'Video';
$string['unlike'] = 'Unlike';
$string['uploader'] = 'Uploader';
$string['viewfullsize'] = 'View full size image';
$string['viewgallery'] = 'View gallery';
$string['visibleinstructor'] = 'Visible to instructors only after';
$string['visibleinstructor_help'] = 'Define the gallery as visible to course instructors after the specified date. This can be useful for allowing instructors to access before all other users. Course managers with appropriate permissions will always be able to see the gallery.';
$string['visibleother'] = 'Visible to everyone in the course after';
$string['visibleother_help'] = 'Define the gallery as visible to other users after the specified date. Course managers with appropriate permissions will always be able to see the gallery.';
$string['you'] = 'you';
