<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plagiarism_vericite', language 'en', version '2.5'.
 *
 * @package     plagiarism_vericite
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advanced_settings'] = 'Advanced Settings';
$string['disable_dynamic_inline'] = 'Disable dynamic inline submissions';
$string['disable_dynamic_inline_help'] = 'Disabling dynamic inline submissions will result in one-time submissions only. Modifications to the inline text by the student will not be re-submitted to VeriCite.';
$string['enable_debugging'] = 'Enable debugging';
$string['enable_debugging_help'] = 'Enable debugging for the VeriCite module. Errors will be printed to a vericite.log file in the Moodle dataroot.';
$string['excludequotesassignment'] = 'Exclude Quotes';
$string['excludequotesassignment_help'] = 'To reduce the number of false matches, we recommend excluding material found inside quotes. Instructors will still retain the ability to view matches within quotes while viewing an individual VeriCite report.';
$string['excludequotesvericite'] = 'Exclude Quotes';
$string['excludequotesvericite_help'] = 'The default for all reports submitted to a Moodle assignment. To reduce the number of false VeriCite matches, we recommend excluding quotes by default. Instructors will still retain the ability to view matches within quotes while viewing an individual VeriCite report.';
$string['pluginname'] = 'VeriCite';
$string['savedconfigsuccess'] = 'Plagiarism Settings Saved';
$string['similarity'] = 'Similarity';
$string['studentdisclosure'] = 'Student Disclosure';
$string['studentdisclosure_help'] = '';
$string['studentdisclosuredefault'] = 'Text and file submissions will be uploaded to a plagiarism detection service for instructor review.';
$string['studentreportvericite'] = 'Allow students to view reports';
$string['studentreportvericite_help'] = 'Enable to allow students to view the full VeriCite report including context on matches found.';
$string['studentscorevericite'] = 'Allow students to view score';
$string['studentscorevericite_help'] = 'Enable to allow students to see their VeriCite similarity score. Similarity scores range from 0-100 and represent the amount of content that matches against other student papers or web content.';
$string['usevericite'] = 'Enable VeriCite Plagiarism Service';
$string['usevericite_help'] = 'Enable if you want new assignments to have VeriCite enabled by default.';
$string['vericite'] = 'VeriCite plagiarism plugin';
$string['vericiteaccountid'] = 'Account Id';
$string['vericiteaccountid_help'] = 'The id provided as part of a trial agreement with VeriCite';
$string['vericiteapi'] = 'API URL';
$string['vericiteapi_help'] = 'The API URL provided as part of a trial agreement with VeriCite';
$string['vericitedefaultsettings'] = 'Default settings for new assignments:';
$string['vericitedefaultsettingsforums'] = 'Default settings for new forums:';
$string['vericiteexplain'] = 'VeriCite is a cloud-based service that identifies plagiarism by comparing submitted work against an ever-increasing database of sources. VeriCite is a commercial service and requires a valid subscription. 30-days trials are available at <a href="https://www.vericite.com" target="_blank">www.VeriCite.com</a>.<br/><br/>VeriCite is continuously monitored and <a href="http://status.vericite.com/" target="_blank"">status updates are available</a>.<br/><br/>News and system updates are available at <a href="https://updates.vericite.com" target="_blank"/>updates.vericite.com</a>.<br/><hr/>';
$string['vericitesecretkey'] = 'Secret Key';
$string['vericitesecretkey_help'] = 'The secret provided as part of a trial agreement with VeriCite';
